RcsbException Class Reference

Base class for all RCSB exceptions. More...

`#include <Exceptions.h>`

Inheritance diagram for RcsbException:
Collaboration diagram for RcsbException:

## Public Member Functions

| RcsbException (const std::string &message=std::string(), const std::string &location=std::string())
| ~RcsbException () throw ()
void | AppendMessage (const std::string &message=std::string(), const std::string &location=std::string())
const char * | what () const throw ()

## Protected Attributes

std::string | _message

## Detailed Description

Base class for all RCSB exceptions.

## Constructor & Destructor Documentation

## RcsbException()

RcsbException::RcsbException | ( | const std::string & | message = std::string(),
|  | const std::string & | location = std::string() )

## ~RcsbException()

RcsbException::~RcsbException | ( |  | ) |
throw | ( | ) |  |  |

## Member Function Documentation

## AppendMessage()

void RcsbException::AppendMessage | ( | const std::string & | message = std::string(),
|  | const std::string & | location = std::string() )

References AppendMessage().

Referenced by AppendMessage().

## what()

const char * RcsbException::what | ( |  | ) | const
throw | ( | ) |  |  |

References what().

Referenced by what().

## Member Data Documentation

## _message

std::string RcsbException::_message

protected

The documentation for this class was generated from the following file:

- rcsb/Exceptions.h